Skip to main content
POST
/
datasets
/
{dataset_id}
/
refresh-materialized-view
Run a materialized view refresh now
curl --request POST \
  --url https://api-dev.narrative.io/datasets/{dataset_id}/refresh-materialized-view \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "full",
  "execution_cluster": {
    "type": "dedicated"
  }
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataset_id
integer
required

Unique identifier for a dataset.

Body

application/json
type
enum<string>
required

full will skip progress tracking and run the materialized view from scratch, incremental will use the progress tracking.

Available options:
full,
incremental
execution_cluster
object
compute_pool_id
string<uuid>

The ID of the compute pool to use for this refresh. The compute pool must be active, belong to your company, and be associated with the target data plane. If not specified, falls back to the compute pool configured on the refresh schedule (if any).

Response

200

OK